'use strict';

const namedLog = require("gulp-named-log");
const chalk = require("chalk");

module.exports = function(livereload) {
	let logger = namedLog("livereload");

	if (!livereload._loggerPatched) {
		var _oldChanged = livereload.changed.bind(livereload);
		livereload._loggerPatched = true;
		livereload.changed = function(filePath) {
			logger.log(chalk.magenta(filePath) + " reloaded.");
			_oldChanged.apply(null, arguments);
		}
	}
}
